rpms/kdebase/FC-4 kdebase-3.5.1-konsole-fonts.patch, NONE, 1.1 kdebase-3.5.1-xdg.patch, NONE, 1.1 kdebase-3.5.2-startkde.patch, NONE, 1.1 kdebase.spec, 1.118, 1.119 sources, 1.60, 1.61 kdebase-3.4.0-xdg.patch, 1.1, NONE kdebase-3.5.1-startkde.patch, 1.1, NONE

fedora-cvs-commits at redhat.com fedora-cvs-commits at redhat.com
Tue Apr 11 09:43:08 UTC 2006


Author: than

Update of /cvs/dist/rpms/kdebase/FC-4
In directory cvs.devel.redhat.com:/tmp/cvs-serv31794

Modified Files:
	kdebase.spec sources 
Added Files:
	kdebase-3.5.1-konsole-fonts.patch kdebase-3.5.1-xdg.patch 
	kdebase-3.5.2-startkde.patch 
Removed Files:
	kdebase-3.4.0-xdg.patch kdebase-3.5.1-startkde.patch 
Log Message:
update to 3.5.2


kdebase-3.5.1-konsole-fonts.patch:
 Makefile.am |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- NEW FILE kdebase-3.5.1-konsole-fonts.patch ---
--- kdebase-3.5.1/konsole/Makefile.am.orig	2006-02-21 19:52:27.000000000 +0100
+++ kdebase-3.5.1/konsole/Makefile.am	2006-02-21 19:52:32.000000000 +0100
@@ -1,4 +1,4 @@
-SUBDIRS = konsole other doc fonts
+SUBDIRS = konsole other doc
 
 xdg_apps_DATA = konsole.desktop konsolesu.desktop
 

kdebase-3.5.1-xdg.patch:
 kdebase-3.4.0/applnk/kde-essential.menu |    1 +
 kdebase-3.5.1/applnk/kde-settings.menu  |    1 +
 2 files changed, 2 insertions(+)

--- NEW FILE kdebase-3.5.1-xdg.patch ---
--- kdebase-3.4.0/applnk/kde-essential.menu.tn	2005-04-25 16:18:40.000000000 +0200
+++ kdebase-3.4.0/applnk/kde-essential.menu	2005-04-25 16:18:58.000000000 +0200
@@ -2,6 +2,7 @@
   "http://www.freedesktop.org/standards/menu-spec/1.0/menu.dtd">
 
 <Menu>
+	<Name>Applications</Name>
         <!-- The following menus are hidden by default -->
 	<Menu>
 		<Name>Settings</Name>
--- kdebase-3.5.1/applnk/kde-settings.menu.orig	2006-02-21 16:30:54.000000000 +0100
+++ kdebase-3.5.1/applnk/kde-settings.menu	2006-02-21 16:31:45.000000000 +0100
@@ -29,6 +29,7 @@
 		<Directory>kde-settings-looknfeel.directory</Directory>
 		<Include>
 			<Category>X-KDE-settings-looknfeel</Category>
+			<Category>X-KDE-LookNFeel</Category>
 		</Include>
 	</Menu>
 	<Menu>

kdebase-3.5.2-startkde.patch:
 startkde |   66 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 58 insertions(+), 8 deletions(-)

--- NEW FILE kdebase-3.5.2-startkde.patch ---
diff -Nur kdebase-3.5.2.orig/startkde kdebase-3.5.2/startkde
--- kdebase-3.5.2.orig/startkde	2006-01-19 18:03:19.000000000 +0100
+++ kdebase-3.5.2/startkde	2006-02-17 12:35:01.000000000 +0100
@@ -1,8 +1,56 @@
 #!/bin/sh
 #
 #  DEFAULT KDE STARTUP SCRIPT ( KDE-3.5.2 )
+#  Modified for Red Hat Linux
 #
 
+unset BLOCK_SIZE # breaks parsing of df output
+shopt -u -o noclobber # allow overwriting of files with '>'
+
+# set up user environment if not present
+# check for space on /tmp and "$HOME" and for write access
+#  error exit, if not
+space_tmp=`df /tmp | xargs | cut -d" " -f11`
+homedir_mount=`df "$HOME" | xargs | cut -d" " -f8`
+
+if [ "$homedir_mount" = "AFS" -a -x "`which fs 2>/dev/null`" ] ; then
+    # check for AFS
+    space_home=`fs df "$HOME" | xargs | cut -d" " -f10`
+else
+    # check regular mounts
+    space_home=`df "$HOME" | xargs | cut -d" " -f11`
+fi
+
+if [ $space_tmp -lt 50 ]; then
+    echo $"Not enough free disk space on /tmp"
+    exit 1
+fi
+
+if [ $space_home -lt 25 ]; then
+    echo $"Not enough free disk space on "$HOME""
+    exit 1
+fi
+testfile_tmp=`mktemp /tmp/KDE.startkde.XXXXXX`
+testfile_home=`mktemp "$HOME"/KDE.startkde.XXXXXX`
+
+if ! echo TEST_TEXT >$testfile_tmp 2>/dev/null ; then
+    echo $"You don't have write permissions for /tmp"
+    exit 1
+fi
+rm -f $testfile_tmp
+
+if ! echo TEST_TEXT >$testfile_home 2>/dev/null ; then
+     echo $"You don't have write permissions for "$HOME""
+     exit 1
+fi
+rm -f $testfile_home
+
+[ -d "$HOME"/.kde/share/config ] || mkdir -p "$HOME"/.kde/share/config
+
+if [ ! -e "$HOME"/.kde/share/config/emaildefaults ]; then
+  /usr/bin/mailsettings >"$HOME"/.kde/share/config/emaildefaults
+fi
+
 # When the X server dies we get a HUP signal from xinit. We must ignore it
 # because we still need to do some cleanup.
 trap 'echo GOT SIGHUP' HUP
@@ -14,12 +62,12 @@
 	exit 1
 fi
 
-# Set the background to plain grey.
+# Set the background to the Red Hat default blue
 # The standard X background is nasty, causing moire effects and exploding
 # people's heads. We use colours from the standard KDE palette for those with
 # palettised displays.
 if test -z "$XDM_MANAGED" || echo "$XDM_MANAGED" | grep ",auto" > /dev/null; then
-  xsetroot -solid "#000000"
+  xsetroot -solid "#5477A0"
 fi
 
 # we have to unset this for Darwin since it will screw up KDE's dynamic-loading
@@ -64,7 +112,7 @@
 cat >$kdehome/share/config/startupconfigkeys <<EOF
 kcminputrc Mouse cursorTheme ''
 kcminputrc Mouse cursorSize ''
-kpersonalizerrc General FirstLogin true
+kpersonalizerrc General FirstLogin false
 ksplashrc KSplash Theme Default
 kcmrandrrc Display ApplyOnStartup false
 kcmrandrrc [Screen0]
@@ -135,8 +183,8 @@
     done
 fi
 
-# Source scripts found in <localprefix>/env/*.sh and <prefixes>/env/*.sh
-# (where <localprefix> is $KDEHOME or ~/.kde, and <prefixes> is where KDE is installed)
+# Source scripts found in <localprefix>/env/*.sh, <prefixes>/env/*.sh and /etc/kde/env/*.sh
+# (where <localprefix> is $KDEHOME or ~/.kde, and <prefixes> is where KDE is installed)
 #
 # This is where you can define environment variables that will be available to
 # all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
@@ -148,9 +196,10 @@
 # better use the Autostart folder.
 
 exepath=`kde-config --path exe | tr : '\n'`
+envpath=/etc/kde/env/
 
-for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/env/,p'`; do
-  for file in "$prefix"*.sh; do
+for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/env/,p'` $envpath ; do
+  for file in "$prefix"*.sh ; do
     test -r "$file" && . "$file"
   done
 done
@@ -339,7 +388,8 @@
 echo 'startkde: Running shutdown scripts...'  1>&2
 
 # Run scripts found in $KDEDIRS/shutdown
-for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'`; do
+shutdownpath=/etc/kde/shutdown/
+for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'` $shutdownpath; do
   for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do
     test -x "$prefix$file" && "$prefix$file"
   done


Index: kdebase.spec
===================================================================
RCS file: /cvs/dist/rpms/kdebase/FC-4/kdebase.spec,v
retrieving revision 1.118
retrieving revision 1.119
diff -u -r1.118 -r1.119
--- kdebase.spec	17 Feb 2006 11:50:59 -0000	1.118
+++ kdebase.spec	11 Apr 2006 09:43:02 -0000	1.119
@@ -10,8 +10,8 @@
 %define gdmsession KDE
 
 %define qt_version 3.3.4
-%define arts_version 1.5.1
-%define kde_version 3.5.1
+%define arts_version 1.5.2
+%define kde_version 3.5.2
 
 %define make_cvs 1
 %define arts 1
@@ -20,8 +20,8 @@
 
 Summary: K Desktop Environment - core files
 Name: kdebase
-Version: 3.5.1
-Release: 0.3.fc4
+Version: 3.5.2
+Release: 0.1.fc4
 Epoch: 6
 Url: http://www.kde.org
 Group: User Interface/Desktops
@@ -38,7 +38,7 @@
 Source7: mailsettings.cc
 
 Patch0: kde-libtool.patch
-Patch1: kdebase-3.5.1-startkde.patch
+Patch1: kdebase-3.5.2-startkde.patch
 Patch2: kdebase-3.3.92-vroot.patch
 Patch3: kdebase-3.x-shortcuts.patch
 Patch4: kdebase-3.2.0-keymap.patch
@@ -48,13 +48,10 @@
 Patch8: kdebase-3.2.92-logo.patch
 Patch9: kdebase-3.2.2-konsole-setInputMethodEnabled-20040525.diff
 Patch10: kdebase-3.4.2-kdesktop-konsole.patch
-Patch11: kdebase-3.4.0-xdg.patch
+Patch11: kdebase-3.5.1-xdg.patch
 Patch12: kdebase-3.5.1-pam.patch
 Patch13: kdebase-3.5.1-kdm-readme.patch
-Patch14: kdebase-3.5.1-kwin-systray.patch
-
-# upstream patches
-Patch100: kdebase-3.5.1-keyboardlayout.patch
+Patch14: kdebase-3.5.1-konsole-fonts.patch
 
 Requires: kdelibs >= 6:%{version}
 Requires: libxml2 >= 2.6.5
@@ -133,10 +130,7 @@
 %patch11 -p1 -b .xdg
 %patch12 -p1 -b .pam
 %patch13 -p1 -b .kdm-readme
-%patch14 -p1 -b .systray
-
-# upstream patches
-%patch100 -p1 -b .keyboardlayout
+%patch14 -p1 -b .konsole-fonts
 
 %if %{rhel}
    rm -rf kdeprint/kdeprintfax
@@ -409,6 +403,9 @@
 %{_includedir}/kde/ksplash/*
 
 %changelog
+* Tue Apr 11 2006 Than Ngo <than at redhat.com> 6:3.5.2-0.1.fc4
+- update to 3.5.2
+
 * Fri Feb 17 2006 Than Ngo <than at redhat.com> 6:3.5.1-0.3.fc4
 - Systray icons not docked sometimes, apply patch to fix this issue #180314
 - kscreensaver/kdm/kcheckpass use a separate PAM config file


Index: sources
===================================================================
RCS file: /cvs/dist/rpms/kdebase/FC-4/sources,v
retrieving revision 1.60
retrieving revision 1.61
diff -u -r1.60 -r1.61
--- sources	17 Feb 2006 11:50:59 -0000	1.60
+++ sources	11 Apr 2006 09:43:02 -0000	1.61
@@ -1,2 +1,2 @@
-484c7b3895ce4f95173f4789571eb1cc  kdebase-3.5.1.tar.bz2
 a53556b00f950797b9b32848cace66c9  kde-redhat-config-3.5-fc5-0.2.tar.bz2
+c5685e1be34e033286aa1f37002a0552  kdebase-3.5.2.tar.bz2


--- kdebase-3.4.0-xdg.patch DELETED ---


--- kdebase-3.5.1-startkde.patch DELETED ---




More information about the fedora-cvs-commits mailing list